using Exferia_Aplicacion.General;
using Exferia_KairosPRO._1_Modelos;

namespace Exferia_KairosPRO._4_Vistas.F3
{
    public class ABS_F3_KRS_PerfilesCabecera : ABS_F3
    {
        public override string NOMBRE_CAMPO_CODIGO()
        {
            return nameof(INTERNO_KRS_PerfilesCabecera_Listado_Modelo.codigo);
        }

        public override string NOMBRE_CAMPO_DESCRIPCION()
        {
            return nameof(INTERNO_KRS_PerfilesCabecera_Listado_Modelo.descripcion);
        }

        public override string NOMBRE_CAMPO_FECHABORRADO()
        {
            return nameof(INTERNO_KRS_PerfilesCabecera_Listado_Modelo.fechaBorrado);
        }

        public override string NOMBRE_CAMPO_ID()
        {
            return nameof(INTERNO_KRS_PerfilesCabecera_Listado_Modelo.id);
        }

        public override string NOMBRE_CAMPO_IDEJERCICIO_BAJA()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_1()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_2()
        {
            return "";
        }

        public override string NOMBRE_CAMPO_DATOSAUXILIARES_3()
        {
            return "";
        }
    }
}
